Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027126
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajorhave not tried2014-07-18 10:392015-08-20 23:16
ReporterjonalegriaesarteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionfe36ad45941a
ProjectionnoneETAnoneTarget Version3.0PR15Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027126: Pending goods receipt - Receives goods even though periods are closed

DescriptionPending goods receipt - Receives goods even though periods are closed
Steps To Reproduce1. CReate new org and don;t create calendar and periods

2. Create PO and go to pending goods receipts

3. Try to receive goods and notice you get error saying not possible as periods are closed.

4. Create periods and open them

5. Try again to receive the goods in pending goods receipts window, now is sucesful

6. Go to Goods REceipt window and notice there are 2 GR for each receipt you did. The first one is created in DR status, but it shouldn't be created.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0078706)
AtulOpenbravo (developer)
2015-07-07 12:20

Test Plan
- Login as F&B International Group Admin.
- Navigate to Open and close period window and Close current period in Espana Organization.
- Navigate to Purchase Order window and create one in Espana Org or its child Org. Keep Order Date from current period that is closed in above step. Complete it.
- Go to Pending Goods Receipt Window and try to receive goods against above created order. Make sure that Receipt Date belongs to the period that is closed in the above step.
- Check that Error message regarding period is shown.
- Navigate to Goods Receipt window and check that no records in draft status are created during above process.
(0078741)
hgbot (developer)
2015-07-08 10:07

Repository: erp/devel/pi
Changeset: fe36ad45941a332f2b5691330c4c298058468f43
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jul 07 15:44:10 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/fe36ad45941a332f2b5691330c4c298058468f43 [^]

Fixes Issue 27126:Pending goods receipt - Receives goods even though periods
are closed

Check period open is done prior to Goods Receipt creation using Pending Goods
Receipt form.

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending.java
---
(0078742)
vmromanos (developer)
2015-07-08 10:08

Code review + testing OK
(0079485)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-18 10:39 jonalegriaesarte New Issue
2014-07-18 10:39 jonalegriaesarte Assigned To => pramakrishnan
2014-07-18 10:39 jonalegriaesarte Modules => Core
2014-07-18 10:39 jonalegriaesarte Triggers an Emergency Pack => No
2014-09-29 10:48 eduardo_Argal Target Version 3.0PR14Q4 => 3.0PR15Q1
2014-12-22 17:59 Sandrahuguet Target Version 3.0PR15Q1 => 3.0PR15Q2
2015-03-30 18:21 eduardo_Argal Target Version 3.0PR15Q2 => 3.0PR15Q3
2015-04-14 12:48 Triage Finance Assigned To pramakrishnan => Triage Finance
2015-06-08 17:53 vmromanos Target Version 3.0PR15Q3 =>
2015-07-07 12:12 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-07-07 12:12 AtulOpenbravo Status new => scheduled
2015-07-07 12:20 AtulOpenbravo Note Added: 0078706
2015-07-08 09:26 vmromanos Target Version => 3.0PR15Q4
2015-07-08 10:07 hgbot Checkin
2015-07-08 10:07 hgbot Note Added: 0078741
2015-07-08 10:07 hgbot Status scheduled => resolved
2015-07-08 10:07 hgbot Resolution open => fixed
2015-07-08 10:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fe36ad45941a332f2b5691330c4c298058468f43 [^]
2015-07-08 10:08 vmromanos Review Assigned To => vmromanos
2015-07-08 10:08 vmromanos Note Added: 0078742
2015-07-08 10:08 vmromanos Status resolved => closed
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079485


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker